# gem1.8 install rmagick works fine, but:

# gem1.9 install rmagick
Building native extensions.  This could take a while...
ERROR:  Error installing rmagick:
  ERROR: Failed to build gem native extension.

/usr/bin/ruby1.9 extconf.rb install rmagick
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
  from extconf.rb:1:in `<main>'


Gem files will remain installed in
/var/lib/gems/1.9.0/gems/rmagick-2.9.1 for inspection.
Results logged to
/var/lib/gems/1.9.0/gems/rmagick-2.9.1/ext/RMagick/gem_make.out
-- 
Posted via http://www.ruby-forum.com/.